<?
/**************************************************
* Дата создания скрипта: 7 июня 2002 год
* Создание скрипта:      Manlix SW
* Версия скрипта:        0.3
* Имя скрипта:           Manlix SW User Online
* Требования:            PHP4
* Страница:              http://manliks.ru/manlix
* Статус:                Бесплатный скрипт
***************************************************
* Внимание: этот скрипт предназначен, только для
* некомерческого использования.
***************************************************
* Всяческое распространение скрипта приветствуется.
***************************************************
* Подробности по использованию скрипта смотрите в
* файле: HowToUse.txt
**************************************************/

include("config.inc.php");

if(empty($ip))
{
	if (getenv('HTTP_X_FORWARDED_FOR')) { $ip = getenv('HTTP_X_FORWARDED_FOR'); }
	else { $ip = getenv('REMOTE_ADDR'); }
}

$file_update = file("$path/mnlxswuo.dat");
$open_file_update = fopen("$path/mnlxswuo.dat","w+");
for($fu = 0; $fu < count($file_update); $fu++)
{
list($update_ip,$update_time) = explode("::",$file_update[$fu]);
	$time_update = time() - $update_time;
	if ($time_update > 300)
	{ fwrite($open_file_update,""); }
	
	if ($time_update < 300 and $update_ip != $ip)
	{ fwrite($open_file_update,"$update_ip::$update_time::\r\n"); }

	if ($time_update < 300 and $update_ip == $ip)
	{ fwrite($open_file_update,"$update_ip::".time()."::\r\n"); $found_ip =  "yes"; }
}
fclose($open_file_update);

if ($found_ip != "yes")
{
$open_file = fopen("$path/mnlxswuo.dat","a");
fwrite($open_file,"$ip::".time()."::\r\n");
fclose($open_file);
}

echo "document.write('".count(file("$path/mnlxswuo.dat"))."');";
?>